Comment on PEP-0238

Skip Montanaro skip at pobox.com
Sun Jul 8 15:30:28 CEST 2001


    Tim> inspect (and code like it) should be upgraded to use
    Tim> sys._getframe() directly instead of raising phony exceptions.

Inspect tries to be 1.5-compatible I believe, so it can't call
sys._getframe.  It could raise a different exception, however...

Skip




More information about the Python-list mailing list